Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.callback
Class AxedaCallbackManager

    java.lang.Object
      com.axeda.esrs.portal.callback.AxedaCallbackManager

    public class AxedaCallbackManager

extends java.lang.Object

Created by IntelliJ IDEA. User: kholbrook Date: Apr 9, 2009 Time: 11:11:20 AM To change this template use File | Settings | File Templates.

Field Summary
`static java.lang.String` | `DEFAULT_DEVICE_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEFAULT_GAS_CONFIG_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEFAULT_HA_SYNC_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEFAULT_MODELNAME_TRANSLATION_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEFAULT_REGISTRATION_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEFAULT_USER_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEFAULT_WEBSERVICE_PASSWORD_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `DEVICE_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `GAS_CONFIG_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `HA_SYNC_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `MODELNAME_TRANSLATION_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `REGISTRATION_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `USER_CALLBACK_CLASS_PROPERTY`
`static java.lang.String` | `WEBSERVICE_PASSWORD_CALLBACK_CLASS_PROPERTY`

Constructor Summary
`AxedaCallbackManager()`

Method Summary
`AxedaCallbackHandler` | `getCallbackHandlerByConfig(java.lang.String helperClassNameProperty, java.lang.String defaultClassname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEVICE_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEVICE_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_DEVICE_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_DEVICE_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### USER_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String USER_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_USER_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_USER_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### WEBSERVICE_PASSWORD_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String WEBSERVICE_PASSWORD_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_WEBSERVICE_PASSWORD_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_WEBSERVICE_PASSWORD_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### MODELNAME_TRANSLATION_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String MODELNAME_TRANSLATION_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_MODELNAME_TRANSLATION_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_MODELNAME_TRANSLATION_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### REGISTRATION_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String REGISTRATION_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_REGISTRATION_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_REGISTRATION_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### HA_SYNC_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String HA_SYNC_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_HA_SYNC_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_HA_SYNC_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### GAS_CONFIG_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String GAS_CONFIG_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_GAS_CONFIG_CALLBACK_CLASS_PROPERTY

    public static final java.lang.String DEFAULT_GAS_CONFIG_CALLBACK_CLASS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### AxedaCallbackManager

    public AxedaCallbackManager()

Method Detail

### getCallbackHandlerByConfig

    public AxedaCallbackHandler getCallbackHandlerByConfig(java.lang.String helperClassNameProperty,
                                                           java.lang.String defaultClassname)
                                                    throws AxedaCallbackException

  Throws:
    `AxedaCallbackException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD